Debian Bug report logs - #717050
jasperreports3.7: FTBFS

version graph

Package: jasperreports3.7; Maintainer for jasperreports3.7 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Tue, 16 Jul 2013 10:54:01 UTC

Severity: normal

Found in version 3.7.4+dfsg-2

Fixed in version jasperreports3.7/3.7.4+dfsg-3

Done: Emmanuel Bourg <ebourg@apache.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717050; Package jasperreports3.7. (Tue, 16 Jul 2013 10:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 16 Jul 2013 10:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: jasperreports3.7: FTBFS
Date: Tue, 16 Jul 2013 18:51:22 +0800
[Message part 1 (text/plain, inline)]
Package: jasperreports3.7
Version: 3.7.4+dfsg-2

1328     [javac]
/tmp/buildd/jasperreports3.7-3.7.4+dfsg/src/net/sf/jasperreports/engine/design/JRJdtCompiler.java:127:
net.sf.jasperreports     .engine.design.JRJdtCompiler.CompilationUnit is
not abstract and does not override abstract method ignoreOptionalProblems()
in org.ecli     pse.jdt.internal.compiler.env.ICompilationUnit
1329     [javac]     class CompilationUnit implements ICompilationUnit



-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]

Reply sent to Emmanuel Bourg <ebourg@apache.org>:
You have taken responsibility. (Tue, 23 Jul 2013 16:06:08 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Tue, 23 Jul 2013 16:06:08 GMT) Full text and rfc822 format available.

Message #10 received at 717050-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: 717050-close@bugs.debian.org
Subject: Bug#717050: fixed in jasperreports3.7 3.7.4+dfsg-3
Date: Tue, 23 Jul 2013 16:03:21 +0000
Source: jasperreports3.7
Source-Version: 3.7.4+dfsg-3

We believe that the bug you reported is fixed in the latest version of
jasperreports3.7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717050@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebourg@apache.org> (supplier of updated jasperreports3.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 11 Jul 2013 16:34:14 +0200
Source: jasperreports3.7
Binary: libjasperreports3.7-java libjasperreports3.7-java-doc
Architecture: source all
Version: 3.7.4+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebourg@apache.org>
Description: 
 libjasperreports3.7-java - Java reporting generator library
 libjasperreports3.7-java-doc - Java reporting generator library - documentation
Closes: 717050
Changes: 
 jasperreports3.7 (3.7.4+dfsg-3) unstable; urgency=low
 .
   * Team upload.
   * Added a patch to compile with ecj 3.8 (Closes: #717050)
   * Updated Standards-Version to 3.9.4 (no changes)
   * Removed the deprecated DM-Upload-Allowed field
   * Use canonical URLs for the Vcs-* fields
   * Removed the unused Lintian overrides
Checksums-Sha1: 
 43bc4f876e7471f2dfbd434f17d7fa42c722ce5c 2744 jasperreports3.7_3.7.4+dfsg-3.dsc
 26b2d3a2322502a7ac9e0d4c2a9622ba89d20e3d 9965 jasperreports3.7_3.7.4+dfsg-3.debian.tar.gz
 81e64677abff72858a0e3705c8091e94d43e289c 5757394 libjasperreports3.7-java_3.7.4+dfsg-3_all.deb
 897db743ec47ffb144fbfa24dbc4d9224bad28c4 4726696 libjasperreports3.7-java-doc_3.7.4+dfsg-3_all.deb
Checksums-Sha256: 
 e2c6d3b662056f9969a53f595579502809de1805f3bb07c7b1e8f3d5dbf6cbd1 2744 jasperreports3.7_3.7.4+dfsg-3.dsc
 f0fbfaec100888039bffe967185caf6418a2409b5385a7f3a3631051f2630f6e 9965 jasperreports3.7_3.7.4+dfsg-3.debian.tar.gz
 7f300cac19b60c5b5a9e9c933e36d0d41e1d86df2e48afbf77e3115b640b0a8c 5757394 libjasperreports3.7-java_3.7.4+dfsg-3_all.deb
 b909cbb961ab55fa2381ffa9802e426e563ccc1e268da88bbd15b045f99bf541 4726696 libjasperreports3.7-java-doc_3.7.4+dfsg-3_all.deb
Files: 
 6aa90d693cf9aebbd16f240f134b45ac 2744 java optional jasperreports3.7_3.7.4+dfsg-3.dsc
 71c8a98019213ea4037dcaf43a95e825 9965 java optional jasperreports3.7_3.7.4+dfsg-3.debian.tar.gz
 54ed077f2a26316d8b566fd3fb0d23c8 5757394 java optional libjasperreports3.7-java_3.7.4+dfsg-3_all.deb
 dad75ec369b0efac0f164e5d35c55dc6 4726696 doc optional libjasperreports3.7-java-doc_3.7.4+dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJR7qQMAAoJEPUTxBnkudCsn+MP/jyIuzs2jNmzDPt+t8Ojd76E
jr251zRzo2fzSjn9d9nr73BVt4U/botVCJ7dtt+QvU+6Uv3lIYMkIKMTSnCXpAad
AjRVQNlaXi3SZ4cZegv0fYsj5ExF85Dv2gr9cljwNMNDIKvdXlxyLEPkxRDgBS1D
8GgH+Sl0p+Iu0s4k0DCgMQlyA1cfdh8oduDlA5cj+iaV+AGPVKI4cJPUD8xzFbMO
R+TLLt+xlDbzXEtsH+cc4LxsO/+rJ1Xhh38I1t9XhTnMuO0p2yPh47DpQi9dcBfk
Eaw+HOUiFD/Ksbg/FSKtqVVaABw1ijDIMR94rX0pmeTGTSDoKiD0EuLxA+c4FaPv
zANa0edNQxyWDVV6iDA4HoNe4ce5wVRu0q6NActqJFN2JHreaECTFHnHjOR7ASGn
Fyhq33drYZ/McMuLbtn6y+UrZm5Xx2ukfzXsWuHAv5SdDMqyUGSWG6K6lTEdQfjp
tyIozZ3WSGTYR81twpeH/koZ3t0C2QQiWe3r1MaL0qMaInQmmrULuwaLkNuMUctU
xqYP1pGAXIeVUHgwPAl7854nnyBmfAQSa0MjDnHf7EhkhsSWCIjcBy5UjSp4R54D
u6zuF6o4MKo/u/6rP2IOBWQ+MelblQBUxyX3qZfe+cE8jPiMJMSOQp1Sx+wYZEzo
8fl+sS4/Fvgwbp75tc8O
=1sLc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Sep 2013 07:28:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:39:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.